Package org.eclipse.emf.cdo.spi.server

# Schnittstelle IAppExtension3

Alle Superschnittstellen:
  `IAppExtension`

Alle bekannten Implementierungsklassen:
  `AppExtension`, `LMAppExtension`

public interface IAppExtension3 extends IAppExtension
An optional extension of the `IAppExtension` interface for `repository-aware` app extensions.

Seit:
  4.10
Autor:
  Eike Stepper

## Feldübersicht

### Von Schnittstelle geerbte Felder org.eclipse.emf.cdo.spi.server.IAppExtension

`EXT_POINT`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`void`
`start(IRepository[] repositories, File configFile)`
`void`
`stop(IRepository[] repositories)`

### Von Schnittstelle geerbte Methoden org.eclipse.emf.cdo.spi.server.IAppExtension

`start, stop`

## Methodendetails

### start

void start(IRepository[] repositories, File configFile) throws Exception

Löst aus:
  `Exception`

### stop

void stop(IRepository[] repositories) throws Exception

Löst aus:
  `Exception`